# Interface EmptyStatementTree

All Superinterfaces:
  `StatementTree, Tree`

public interface EmptyStatementTree extends StatementTree
A tree node for an empty (skip) statement. For example:

       ;

See Java Language Specification:
  14.6 The Empty Statement
Since:
  1.6

## Nested Class Summary

### Nested classes/interfaces declared in interface Tree

`Tree.Kind`
Modifier and Type
Interface
Description
`static enum`
`Tree.Kind`
Enumerates all kinds of trees.

## Method Summary

### Methods declared in interface Tree

`accept, getKind`
Modifier and Type
Method
Description
`<R,D> R`
`accept(TreeVisitor<R,D> visitor, D data)`
Accept method used to implement the visitor pattern.
`Tree.Kind`
`getKind()`
Returns the kind of this tree.